## imediff2 1.1.1-1

=== debian/changelog ===
imediff2 (1.1.1-1) unstable; urgency=low

  * New upstream release
    - Applied some patches by Wolfram Sang. Thank you!
      + Adds '--new-file' option (like 'diff')
      + Better error messages
      + KEY_BACKSPACE goes to previous chunk
      + '-o file' is not required anymore (for preview, no saving)
      + help screen shows which color means which file

 -- Jarno Elonen <elonen@debian.org>  Fri, 10 Feb 2006 19:13:57 +0200

imediff2 (1.1.0+20041113-1) unstable; urgency=low

  * New upstream release (from SVN)
    - typo correction in help file

  * Changed watch file to point to Alioth

 -- Jarno Elonen <elonen@debian.org>  Sat, 13 Nov 2004 01:18:42 +0200

imediff2 (1.1.0-1) unstable; urgency=low

  * New upstream release
    - launch external editor with 'e'
    - more effective keyboard commands
    - documentation license changed from
      GFDL to Public Domain

 -- Jarno Elonen <elonen@debian.org>  Fri, 22 Oct 2004 22:27:04 +0300

imediff2 (1.0.2-1) unstable; urgency=low

  * New upstream release

  * Added a watch file

 -- Jarno Elonen <elonen@debian.org>  Sun, 10 Oct 2004 02:44:39 +0300

imediff2 (1.0.1-2) unstable; urgency=low

  * Added a watch file

 -- Jarno Elonen <elonen@debian.org>  Sun, 10 Oct 2004 01:57:17 +0300

imediff2 (1.0.1-1) unstable; urgency=low

  * New upstream release.
    - Fix some screen (re)size problems (closes: #250627)

  * _Really_ changed maintainer email address

 -- Jarno Elonen <elonen@debian.org>  Mon, 24 May 2004 21:16:53 +0300

imediff2 (1.0-3) unstable; urgency=low

  * Copyright update
  * Changed maintainer email address

 -- Jarno Elonen <elonen@debian.org>  Fri, 16 Jan 2004 11:41:41 +0200

imediff2 (1.0-2) unstable; urgency=low

  * Support for the alternatives system ('/usr/bin/merge2')

  * Use the packaging automation provided by dh_python

  * First upload to Main (closes: #221135)

 -- Jarno Elonen <elonen@iki.fi>  Sat, 15 Nov 2003 14:46:34 +0200

imediff2 (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Jarno Elonen <elonen@iki.fi>  Sun, 27 Apr 2003 02:11:31 +0300

=== debian/watch ===
version=2

# Homepage  Pattern  [Version  [Action]]
http://alioth.debian.org/project/showfiles.php?group_id=30544 \
  .*imediff2-([\d\.]*).tar.(gz|bz2)

## imediff2 1.1.2

=== Makefile ===
PACKAGE := imediff2-$(shell grep "^VERSION" imediff2 | sed "s/[^0-9]*$$//;s/^[^0-9]*//")
DISTFILE := $(PACKAGE).tar.gz

all: imediff2.1

imediff2.1:  imediff2-docbook.xml
	xsltproc --novalid /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $?

mostlyclean:
	rm -rf $(PACKAGE)/
	rm -f $(DISTFILE)*

distclean: mostlyclean

clean: mostlyclean

$(PACKAGE).tar.gz: distclean
	mkdir $(PACKAGE)/
	-cp * $(PACKAGE)/
	-cp -r debian $(PACKAGE)/
	sync
	find $(PACKAGE)/ -name '.svn' -o -name '.cvs'
	rm -rf `find $(PACKAGE)/ -name '.svn' -o -name '.cvs'`
	tar cvfz $(DISTFILE) $(PACKAGE)/
	rm -rf $(PACKAGE)/

dist: $(DISTFILE)

sign: $(DISTFILE)
	gpg --detach-sign --armor $?

## imediff2 1.1.1-2

=== debian/changelog ===
imediff2 (1.1.1-2) unstable; urgency=low

  * Orphaning the package.

 -- Jarno Elonen <elonen@debian.org>  Fri, 18 May 2007 12:18:09 +0300

=== debian/control ===
Source: imediff2
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: debhelper (>= 4.1.65), xsltproc, docbook-xsl, python
Standards-Version: 3.6.1.0

Package: imediff2
Architecture: all
Depends: ${python:Depends}
Description: interactive full screen 2-way merge tool
 Imediff2 lets you merge two (slightly different) files
 interactively with a user friendly full screen interface
 on a text terminal. In other words, it is an ncurses based
 replacement for sdiff.
 .
 The program shows the differences of given files (in color
 if the terminal supports them), lets you scroll up and down
 and toggle changes between the old and new versions of
 the differing hunks one by one.
 .
 Unlike split screen based merge tools, it shows only one,
 partially merged, version of the file at a time, making
 it more "WYSIWYG", perhaps more intuitive for beginners and
 most importantly, suitable for narrow terminals.

## imediff2 1.1.2.1

=== Makefile ===
# The generated distribution and temporary source tree in the parent directory

PACKAGE := imediff2
VERSION := $(shell grep "^VERSION" imediff2 | sed "s/[^0-9]*$$//;s/^[^0-9]*//")
DISTFILE := $(PACKAGE)-$(VERSION).tar.gz
DSRCFILE := $(PACKAGE)_$(VERSION).orig.tar.gz
PACKAGE_PATH := $(PACKAGE)-$(VERSION)

all: imediff2.1 git-ime.1

imediff2.1:  imediff2-docbook.xml
	xsltproc --novalid /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $?

git-ime.1: git-ime.xml
	xsltproc --novalid /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $?

# dh calls distclean/realclean unless forced to call clean.
distclean: clean
	rm -rf ../$(PACKAGE_PATH)/
	rm -f $(PACKAGE).1 git-ime.1
	rm -f ../$(DISTFILE) ../$(DSRCFILE)

clean:

../$(DISTFILE):
	if [ -d ../$(PACKAGE_PATH) ] ; then echo -e "\n\nRun \"make realclean\" first to remove ../$(PACKAGE_PATH)/\n\n" ; false ; fi
	mkdir ../$(PACKAGE_PATH)/
	-cp * ../$(PACKAGE_PATH)/ # skip subdir and . files
	if [ -d debian ]; then cp -r debian ../$(PACKAGE_PATH)/ ; fi
	if [ -d debian ]; then \
		cd .. ; tar --exclude=$(PACKAGE_PATH)/debian -cvzf $(DISTFILE) $(PACKAGE_PATH)/ ;\
	else \
		cd .. ; tar -cvzf $(DISTFILE) $(PACKAGE_PATH)/ ;\
	fi
	if [ -d debian ]; then cd .. ; ln -sf $(DISTFILE) $(DSRCFILE) ; fi 

dist: ../$(DISTFILE)

sign: ../$(DISTFILE)
	gpg --detach-sign --armor $?

=== debian/changelog ===
imediff2 (1.1.2.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 13:37:31 +0100

imediff2 (1.1.2.1-3) unstable; urgency=medium

  * Transitional package to install imediff. 

 -- Osamu Aoki <osamu@debian.org>  Mon, 11 Feb 2019 17:19:01 +0900

imediff2 (1.1.2.1-2) unstable; urgency=medium

  * Ship git-ime and git-ime.1. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 Oct 2018 02:45:03 +0900

imediff2 (1.1.2.1-1) unstable; urgency=medium

  * New upstream release by DD with configurable key bindings.
  * Salvage upload.
  * Add safe guards to the 'q' command.  Closes: #799865
  * Update manpage XML source and rebuild it.  Closes: #860351
  * Use source/format 3.0 (quilt)
  * Use "dh $@" in debian/rules.

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 Oct 2018 01:54:49 +0900

imediff2 (1.1.2-3) unstable; urgency=medium

  * Add dh-python, python-setuptools and python-all-dev to Build-Depends.
  * Correct typo in bug number reference in previous version (1.1.2-2)
    of changelog.  Closes: #831966.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 12 Oct 2016 16:22:53 -0400

imediff2 (1.1.2-2) unstable; urgency=medium

  * debian/rules: 
    + Changed build architecture line to fix RC bug FTBFS binary build with no
      binary artifacts found. Closes: #831966.
    + Changed call to dh_clean -k to dh_prep.
    + Added build commands to build-arch build-indep.
  * debian/control:
    + Bumped Standards-Version to 3.9.8. No changes.
    + Bumped debhelper to >= 9.
    + Add ${misc:Depends}.
  * Bumped debian/compat to 9.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 11 Oct 2016 06:46:12 -0400

imediff2 (1.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616847).
  * Define homepage field (Closes: #615420).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:25:45 +0200

imediff2 (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. Closes: #425240.
  * Changed debian/copyright to include standard paragraph about GPL.
  * debian/control:
    + Bumped Standards-Version to 3.7.2. No changes.
    + Bumped debhelper to >= 5.0.38.
    + Added homepage.
    + Changed Build-Depends-Indep to Build-Depends.
    + Added Build-Depends on python-central and python-all-dev.
    + Added XB-Python-Version and XS-Python-Version.
  * Bumped debian/compat to 5.
  * Edited debian/watch to look for current versioning style in upstream. Also
    updated to version 3.
  * debian/rules:
    + Changed to dh_pycentral.
    + Removed dh_python.
    + Cleaned up cruft.
  * Added debian/pycompat.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 16 Aug 2007 21:02:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: imediff2
-Section: text
+Section: oldlibs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends-Indep: debhelper (>= 4.1.65), xsltproc, docbook-xsl, python
-Standards-Version: 3.6.1.0
+Maintainer: Osamu Aoki <osamu@debian.org>
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.2.1
+Homepage: https://github.com/osamuaoki/imediff
 
 Package: imediff2
 Architecture: all
-Depends: ${python:Depends}
+Depends: imediff, ${misc:Depends}
 Description: interactive full screen 2-way merge tool
+ This is a dummy transitional package that provides symlinks from
+ imediff2 to imediff. It may be safely removed.
+ .
  Imediff2 lets you merge two (slightly different) files
  interactively with a user friendly full screen interface
  on a text terminal. In other words, it is an ncurses based
@@ -23,3 +27,6 @@
  partially merged, version of the file at a time, making
  it more "WYSIWYG", perhaps more intuitive for beginners and
  most importantly, suitable for narrow terminals.
+ .
+ This also comes with git-ime wrapper script to use imediff2
+ with git VCS.

=== debian/rules ===
#!/usr/bin/make -f
# uncomment to enable verbose mode for debhelper
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_build:
	echo "Do nothing"
